summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2016-01-18 12:41:36 +0000
committerPádraig Brady <P@draigBrady.com>2016-01-18 15:32:17 +0000
commit3f02d93be21920299ba19e2dc93b3bcef6c9df81 (patch)
tree20e6413508e0243815f3ac516d1f88cb05e672aa
parentcc05c3c16d9eea8bb3918e6bd9892785291e7526 (diff)
downloadcoreutils-3f02d93be21920299ba19e2dc93b3bcef6c9df81.tar.xz
tests: adjust delays to avoid false positives
* tests/rm/dangling-symlink.sh: The effective delay was only 1.5s. So delay before the operation, and increase the iteration count by 1 to increase the delay to 6.3s. This failure was noticed once on a FreeBSD 10.2 x86_64 virtual machine. * tests/dd/stats.sh: Remove quotes on sleep argument to ensure arguments are accumulated appropriately. * tests/du/move-dir-while-traversing.sh: sleep before operation, to increase the effective delay from 1.6s to 3.2s. * tests/tail-2/flush-initial.sh: Likewise. * tests/tail-2/pipe-f2.sh: Sleep first so that the effective delay matches the commented value.
-rwxr-xr-xtests/dd/stats.sh2
-rwxr-xr-xtests/du/move-dir-while-traversing.sh2
-rwxr-xr-xtests/rm/dangling-symlink.sh8
-rwxr-xr-xtests/tail-2/flush-initial.sh5
-rwxr-xr-xtests/tail-2/pipe-f2.sh6
5 files changed, 9 insertions, 14 deletions
diff --git a/tests/dd/stats.sh b/tests/dd/stats.sh
index 182d5e7e7..f87d2dab2 100755
--- a/tests/dd/stats.sh
+++ b/tests/dd/stats.sh
@@ -67,7 +67,7 @@ done
progress_output()
{
- { sleep "$1"; echo 1; } | dd bs=1 status=progress of=/dev/null 2>err
+ { sleep $1; echo 1; } | dd bs=1 status=progress of=/dev/null 2>err
# Progress output should be for "byte copied", while final is "bytes ..."
grep 'byte copied' err
}
diff --git a/tests/du/move-dir-while-traversing.sh b/tests/du/move-dir-while-traversing.sh
index 97eb612b6..e80e94cb7 100755
--- a/tests/du/move-dir-while-traversing.sh
+++ b/tests/du/move-dir-while-traversing.sh
@@ -81,7 +81,7 @@ trap '' TSTP
timeout 6 ./inotify-watch-for-dir-access.py $t/3/a/b > start-msg & pid=$!
# Wait for the watcher to start...
-nonempty() { test -s start-msg || { sleep $1; return 1; }; }
+nonempty() { sleep $1; test -s start-msg; }
retry_delay_ nonempty .1 5 || fail=1
# The above watches for an IN_OPEN event on $t/3/a/b,
diff --git a/tests/rm/dangling-symlink.sh b/tests/rm/dangling-symlink.sh
index a2c760afa..7f573bc82 100755
--- a/tests/rm/dangling-symlink.sh
+++ b/tests/rm/dangling-symlink.sh
@@ -31,15 +31,15 @@ cleanup_() { kill $pid 2>/dev/null && wait $pid; }
rm ---presume-input-tty dangle symlink & pid=$!
# The buggy rm (fileutils-4.1.9) would hang here, waiting for input.
-# Wait up to 3.1s for rm to remove the files
+# Wait up to 6.3s for rm to remove the files
check_files_removed() {
- local delay="$1"
local present=0
+ sleep $1
ls -l dangle > /dev/null 2>&1 && present=1
ls -l symlink > /dev/null 2>&1 && present=1
- test $present = 1 && { sleep $delay; return 1; } || :
+ test $present = 0
}
-retry_delay_ check_files_removed .1 5 || fail=1
+retry_delay_ check_files_removed .1 6 || fail=1
cleanup_
diff --git a/tests/tail-2/flush-initial.sh b/tests/tail-2/flush-initial.sh
index 630cc5fc8..803502ad7 100755
--- a/tests/tail-2/flush-initial.sh
+++ b/tests/tail-2/flush-initial.sh
@@ -34,9 +34,8 @@ tail $fastpoll -f in > out & pid=$!
tail_flush()
{
local delay="$1"
-
- test -s out ||
- { sleep "$delay"; return 1; }
+ sleep $delay
+ test -s out
}
retry_delay_ tail_flush .1 5 || fail=1
diff --git a/tests/tail-2/pipe-f2.sh b/tests/tail-2/pipe-f2.sh
index d91de5854..70fb3bdc1 100755
--- a/tests/tail-2/pipe-f2.sh
+++ b/tests/tail-2/pipe-f2.sh
@@ -32,11 +32,7 @@ fastpoll='-s.1 --max-unchanged-stats=1'
timeout 10 tail $fastpoll -f fifo > out & pid=$!
-check_tail_output()
-{
- local n_sec="$1"
- test -s out || { sleep $n_sec; return 1; }
-}
+check_tail_output() { sleep $1; test -s out; }
# Wait 12.7s for tail to write something.
retry_delay_ check_tail_output .1 7 || fail=1